Bug 96949 - [regression] Piglit numSamples assertion failures with 9a23a177b90
Summary: [regression] Piglit numSamples assertion failures with 9a23a177b90
Status: RESOLVED FIXED
Alias: None
Product: Mesa
Classification: Unclassified
Component: Mesa core (show other bugs)
Version: git
Hardware: Other All
: medium normal
Assignee: mesa-dev
QA Contact: mesa-dev
URL:
Whiteboard:
Keywords:
Depends on:
Blocks:
 
Reported: 2016-07-15 22:50 UTC by Nanley Chery
Modified: 2016-07-16 04:34 UTC (History)
2 users (show)

See Also:
i915 platform:
i915 features:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Nanley Chery 2016-07-15 22:50:42 UTC
With commit 9a23a177b90ea60ba45b8b5090b832c87d595346 ,
 mesa: handle numLevels, numSamples in _mesa_test_proxy_teximage()

The 26 piglit tests listed below start failing with the error,

  src/mesa/main/teximage.c:1274: _mesa_test_proxy_teximage: Assertion `numSamples > 0' failed. 

piglit.spec.arb_texture_view.sampling-2d-array-as-cubemap-array
piglit.spec.arb_texture_view.copytexsubimage-layers
piglit.spec.arb_texture_view.texsubimage-levels pbo
piglit.spec.arb_texture_view.targets
piglit.spec.arb_texture_view.rendering-levels
piglit.spec.arb_texture_view.texsubimage-layers pbo
piglit.spec.arb_texture_view.clear-into-view-layered
piglit.spec.arb_copy_image.arb_copy_image-texview
piglit.spec.arb_texture_view.cubemap-view
piglit.spec.arb_texture_view.texsubimage-layers
piglit.spec.arb_texture_view.mipgen
piglit.spec.arb_texture_view.max-level
piglit.spec.arb_texture_view.clear-into-view-2d-array
piglit.spec.arb_texture_view.clear-into-view-2d
piglit.spec.arb_texture_view.rendering-formats
piglit.spec.arb_texture_view.sampling-2d-array-as-2d-layer
piglit.spec.arb_texture_view.sampling-2d-array-as-cubemap
piglit.spec.arb_texture_view.lifetime-format
piglit.spec.arb_texture_view.texsubimage-levels
piglit.spec.arb_texture_view.formats
piglit.spec.arb_texture_view.queries
piglit.spec.arb_clear_texture.arb_clear_texture-texview
piglit.spec.arb_texture_view.rendering-layers
piglit.spec.arb_texture_view.getteximage-srgb
piglit.spec.arb_texture_view.rendering-target
piglit.spec.arb_texture_view.params
Comment 1 Brian Paul 2016-07-15 23:06:21 UTC
I'd appreciate it if you could debug this a bit further.  I didn't see any of those regressions here.

I'm on vacation for the next week so I won't be able to do anything.  Feel free to revert the patch if you can't debug it.  Thanks.
Comment 2 Brian Paul 2016-07-16 03:22:26 UTC
OK, I think the fix is simple.  I posted a patch to mesa-dev.  If it checks out for you, feel free to push it to master.
Comment 3 Kenneth Graunke 2016-07-16 04:34:37 UTC
Thanks!  That indeed fixes the regressions.  Pushed as:

commit b89d0df5351eea1f26c6890dcdff7c0e38424ee1
Author: Brian Paul <brianp@vmware.com>
Date:   Fri Jul 15 21:22:53 2016 -0600

    mesa: handle numSamples=0 in _mesa_test_proxy_teximage()
    
    Should fix the regressions reported in bug 96949.
    
    Bugzilla: https://bugs.freedesktop.org/show_bug.cgi?id=96949
    Reviewed-by: Kenneth Graunke <kenneth@whitecape.org>


bug/show.html.tmpl processed on Jan 18, 2017 at 04:06:30.
(provided by the Example extension).